#
# spec file for package rubygem-chunky_png
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-chunky_png
Version:        1.3.11
Release:        lp151.1.1
%define mod_name chunky_png
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/wvanbergen/chunky_png/wiki
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Pure ruby library for read/write, chunk-level access to PNG files
License:        MIT
Group:          Development/Languages/Ruby

%description
This pure Ruby library can read and write PNG images without depending on
an external
image library, like RMagick. It tries to be memory efficient and reasonably
fast.
It supports reading and writing all PNG variants that are defined in the
specification,
with one limitation: only 8-bit color depth is supported. It supports all
transparency,
interlacing and filtering options the PNG specifications allows. It can also
read and
write textual metadata from PNG files. Low-level read/write access to PNG
chunks is
also possible.
This library supports simple drawing on the image canvas and simple operations
like
alpha composition and cropping. Finally, it can import from and export to
RMagick for
interoperability.
Also, have a look at OilyPNG at http://github.com/wvanbergen/oily_png. OilyPNG
is a
drop in mixin module that implements some of the ChunkyPNG algorithms in C,
which
provides a massive speed boost to encoding and decoding.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.rdoc LICENSE README.md" \
  -f

%gem_packages

%changelog
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 1.3.11
  see installed CHANGELOG.rdoc
* Tue Jan 30 2018 cbruckmayer@suse.com
- Update to version 1.3.10
  === 1.3.10 - 2018-01-23
  * Fixed a regression in Datastream#metadata, which was not able to deal with iTXt chunks.
  === 1.3.9 - 2018-01-23
  * Add support for reading and writing an international textual data (iTXt chunks).
* Sat Nov 12 2016 coolo@suse.com
- updated to version 1.3.8
  see installed CHANGELOG.rdoc
  === 1.3.8 - 2016-08-31
  - Add support for reading and writing an image's physical dimension (pHYs chunks).
* Thu Sep  1 2016 coolo@suse.com
- updated to version 1.3.7
  see installed CHANGELOG.rdoc
  === 1.3.7 - 2016-08-31
  - Performance improvement for <tt>Color.euclidean_distance_rgba</tt>.
  - Bugfix in decoding transparent pixels when decoding multiple images in a row.
* Mon Jun 20 2016 coolo@suse.com
- updated to version 1.3.6
  see installed CHANGELOG.rdoc
  === 1.3.6 - 2016-06-19
  - Allow reading images from streams that have trailing data after the IEND chunk.
  - Add compatibility for Ruby 2.3's frozen string literals.
  - Documentation updates and small cleanups.
  === 1.3.5 - 2015-10-28
  - Performance improvements for <tt>Canvas#crop!</tt> and <tt>ImageData.combine_chunks</tt>
  - Update <tt>chunky_png/rmagick</tt> to work with the latest versions of RMagick.
  - Bugfix in <tt>Color#from_hsl</tt> and <tt>Color#from_hsv</tt> when hue value is 360.
  - Fix encoding issue in <tt>Datastream#to_blob</tt>
* Thu Oct 29 2015 coolo@suse.com
- updated to version 1.3.5
  see installed CHANGELOG.rdoc
* Tue Feb 17 2015 coolo@suse.com
- updated to version 1.3.4
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.3.3
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon May 26 2014 coolo@suse.com
- updated to version 1.3.1, adding link to readme
* Sat Feb 22 2014 coolo@suse.com
- updated to version 1.3.0, no changelog
* Thu Oct 31 2013 coolo@suse.com
- updated to version 1.2.9, no changelog
* Fri Apr 12 2013 coolo@suse.com
- updated to version 1.2.8
* Sun Feb  3 2013 coolo@suse.com
- updated to version 1.2.7
* Wed Aug  8 2012 coolo@suse.com
- updated to version 1.2.6
* Wed Aug  1 2012 coolo@suse.com
- updated to version 1.2.5
* Fri Aug 26 2011 fcastelli@novell.com
- Package version 1.2.1
